[Bug 257070] devel/util-linux-2.36_2 conflicts with e2fsprogs-libblkid-1.46.2

From: <bugzilla-noreply_at_freebsd.org>
Date: Fri, 09 Jul 2021 03:38:12 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257070

            Bug ID: 257070
           Summary: devel/util-linux-2.36_2 conflicts with
                    e2fsprogs-libblkid-1.46.2
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: Individual Port(s)
          Assignee: ports-bugs_at_FreeBSD.org
          Reporter: grahamperrin_at_gmail.com

root_at_mowa219-gjp4-8570p:~ # pkg install devel/util-linux
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
Updating poudriere repository catalogue...
poudriere repository is up to date.
All repositories are up to date.
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        util-linux: 2.36_2 [FreeBSD]

Number of packages to be installed: 1

The process will require 2 MiB more space.
479 KiB to be downloaded.

Proceed with this action? [y/N]: y
[1/1] Fetching util-linux-2.36_2.txz: 100%  479 KiB 490.2kB/s    00:01    
Checking integrity... done (2 conflicting)
  - util-linux-2.36_2 [FreeBSD] conflicts with e2fsprogs-libblkid-1.46.2
[installed] on /usr/local/include/blkid/blkid.h
  - util-linux-2.36_2 [FreeBSD] conflicts with e2fsprogs-1.46.2 [installed] on
/usr/local/man/man8/blkid.8.gz
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 5 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        util-linux: 2.36_2 [FreeBSD]

Number of packages to be installed: 1

The process will require 2 MiB more space.

Proceed with this action? [y/N]: y
Fetching e2fsprogs-libblkid-1.46.2.txz: 100%   35 KiB  35.4kB/s    00:01    
Fetching e2fsprogs-1.46.2.txz: 100%    1 MiB   1.3MB/s    00:01    
[1/5] Deinstalling e2fsprogs-libblkid-1.46.2...
[1/5] Deleting files for e2fsprogs-libblkid-1.46.2: 100%
[1/5] Installing e2fsprogs-libblkid-1.46.2...
[1/5] Extracting e2fsprogs-libblkid-1.46.2: 100%
[2/5] Deinstalling e2fsprogs-1.46.2...
[2/5] Deleting files for e2fsprogs-1.46.2: 100%
[2/5] Installing e2fsprogs-1.46.2...
[2/5] Extracting e2fsprogs-1.46.2: 100%
[3/5] Installing util-linux-2.36_2...
pkg: util-linux-2.36_2 conflicts with e2fsprogs-libblkid-1.46.2 (installs files
into the same place).  Problematic file: /usr/local/include/blkid/blkid.h
root_at_mowa219-gjp4-8570p:~ # date ; uname -KUv
Fri Jul  9 04:36:45 BST 2021
FreeBSD 14.0-CURRENT #100 main-n247798-f39dd6a9784: Thu Jul  8 07:38:23 BST
2021    
root_at_mowa219-gjp4-8570p:/usr/obj/usr/src/amd64.amd64/sys/GENERIC-NODEBUG 
1400025 1400025
root_at_mowa219-gjp4-8570p:~ #

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Fri Jul 09 2021 - 03:38:12 UTC

Original text of this message